#pragma hdrstop
#include <windows.h>
#include <vcl.h>
#include <gdiplus.h>
#include "gdip.h"
using namespace Gdiplus;

//---------------------------------------------------------------------------
void GDIppStartup()
{
   GdiplusStartupInput gdiplusStartupInput;
   // Initialize GDI+.
   GdiplusStartup(&gdiplusToken, &gdiplusStartupInput, NULL);
}
//---------------------------------------------------------------------------
void GDIppShutDown()
{
   GdiplusShutdown(gdiplusToken);
}
//---------------------------------------------------------------------------
void GDIPlus(HDC hdc, int AntiAlias)
{
int i;
LARGE_INTEGER tim1,tim2, freq;
Gdiplus::Graphics graphics(hdc);
Gdiplus::Pen Pen(Color(random(256),random(256),random(256)));
if (AntiAlias) graphics.SetSmoothingMode(SmoothingModeAntiAlias);

QueryPerformanceFrequency(&freq);
QueryPerformanceCounter (&tim1);

for (i=0;i<100;i++)
 {
   srand(rand());
   Pen.SetColor(Color(random(256),random(256),random(256)));
   graphics.DrawLine(&Pen,random(640),random(480),random(640),random(480));
   Pen.SetColor(Color(random(256),random(256),random(256)));
   graphics.DrawEllipse(&Pen,Gdiplus::Rect(random(640),random(480),random(640),random(480)));
 }
QueryPerformanceCounter (&tim2);
ShowMessage (IntToStr((tim2.QuadPart-tim1.QuadPart)*1000/freq.QuadPart) + " ms");
}
